<script lang="ts">
    // import { beforeUrlChange, afterPageLoad } from "@roxi/routify";
    import {beforeNavigate, afterNavigate, } from "$app/navigation";
    import {Progress} from "@higenku/theme";

    let showProgressbar = false
    
    beforeNavigate((_) => showProgressbar = true)
    
    afterNavigate(_ => showProgressbar = false)
</script>

{#if showProgressbar}
    <Progress animated={true}/>
{/if}